curl --request PUT \
--url https://api.example.com/api/v1/contract/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"category": "<string>",
"address": "<string>",
"implementation": "<string>",
"abi": [
{}
],
"implAbi": [
{}
],
"amlRequired": true,
"icon": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/contract/{id}"
payload = {
"name": "<string>",
"category": "<string>",
"address": "<string>",
"implementation": "<string>",
"abi": [{}],
"implAbi": [{}],
"amlRequired": True,
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: '<string>',
address: '<string>',
implementation: '<string>',
abi: [{}],
implAbi: [{}],
amlRequired: true,
icon: '<string>'
})
};
fetch('https://api.example.com/api/v1/contract/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"projectId": 123,
"chainUid": "arbitrum",
"address": "<string>",
"implementation": "<string>",
"name": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"addressType": "CONTRACT",
"amlRequired": true,
"icon": "<string>",
"abi": [
{}
],
"abiOverride": true,
"implAbi": [
{}
],
"implAbiOverride": true
}update entity by id
Authorizations
Authentication
Path Parameters
Body
Name for the entity
Contract category
Network uid that associated with extractor contract
arbitrum, bsc, bsc_testnet, ethereum, linea, optimism, base, base_sepolia, gnosis, fantom, polygon, polygon_amoy, blast, zksync, scroll, avalanche, avalanche_fuji, telos, sepolia, holesky, ethereum_sepolia, ethereum_holesky, tron, zeta, somnia, adi, anvil, icp, vechain, stellar, bitcoin, solana The direct address of the extractor contract
Implementation address associated with the extractor contract, not null means this is a proxy contract
Contract abi, example: [{"input": "source"}]
Show child attributes
Show child attributes
Implementation abi, example: [{"input": "source"}]
Show child attributes
Show child attributes
The type of a provided address, could be "Contract" or "Wallet"
CONTRACT, WALLET, ENTITY If the AML detector required for this contract. Default: false
A URL of an icon for the contract
Response
OK
Unique identifier of the entity
1
Time when entity was created
Time when entity was updated
The project ID associated with the extractor contract
Network uid that associated with extractor contract
arbitrum, bsc, bsc_testnet, ethereum, linea, optimism, base, base_sepolia, gnosis, fantom, polygon, polygon_amoy, blast, zksync, scroll, avalanche, avalanche_fuji, telos, sepolia, holesky, ethereum_sepolia, ethereum_holesky, tron, zeta, somnia, adi, anvil, icp, vechain, stellar, bitcoin, solana The direct address of the extractor contract
Implementation address associated with the extractor contract, not null means this is a proxy contract
Name for the entity
Contract category
Contract tags
The type of a provided address, could be "Contract" or "Wallet"
CONTRACT, WALLET, ENTITY If the AML detector required for this contract. Default: false
A URL of an icon for the contract
Contract abi, example: [{"input": "source"}]
Show child attributes
Show child attributes
True if we use an override for the abi
Implementation abi, example: [{"input": "source"}]
Show child attributes
Show child attributes
True if we use an override for the implementation abi